Package org.eclipse.cdt.core.templateengine.process.processes

# Class CreateFolder

java.lang.Object
org.eclipse.cdt.core.templateengine.process.ProcessRunner
org.eclipse.cdt.core.templateengine.process.processes.CreateFolder

public class CreateFolder extends ProcessRunner
Creates regular folder in the project.

Since:
  5.1

## Constructor Summary

Constructors
Constructor
Description
`CreateFolder()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`createFolder(String projectName, String targetPath, org.eclipse.core.runtime.IProgressMonitor monitor)`
Creates specified folder in the project recursively.
`void`
`process(TemplateCore template, ProcessArgument[] args, String processId, org.eclipse.core.runtime.IProgressMonitor monitor)`

### Methods inherited from class org.eclipse.cdt.core.templateengine.process.ProcessRunner

`areArgumentsMatchingRequiredParameters, getArgumentsMismatchMessage, getProcessMessage, getProcessParameters, missingArgException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CreateFolder

public CreateFolder()

## Method Details

### process

public void process(TemplateCore template, ProcessArgument[] args, String processId, org.eclipse.core.runtime.IProgressMonitor monitor) throws ProcessFailureException

Specified by:
  `process` in class `ProcessRunner`
Throws:
  `ProcessFailureException`
See Also:
  - `ProcessRunner.process(org.eclipse.cdt.core.templateengine.TemplateCore, org.eclipse.cdt.core.templateengine.process.ProcessArgument[], java.lang.String, org.eclipse.core.runtime.IProgressMonitor)`

### createFolder

public static void createFolder(String projectName, String targetPath, org.eclipse.core.runtime.IProgressMonitor monitor) throws ProcessFailureException
Creates specified folder in the project recursively.

Parameters:
  `projectName` - - name of the project.
  `targetPath` - - relative path to the new folder.
  `monitor` - - progress monitor.
Throws:
  `ProcessFailureException` - if there is a problem with creating new folder.